<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Identifiable (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Identifiable (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/expression/ExpressionException.html" title="class in com.sk89q.worldedit.internal.expression"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/expression/Identifiable.html" target="_top">Frames</a></li>
<li><a href="Identifiable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.expression</div>
<h2 title="Interface Identifiable" class="title">Interface Identifiable</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Break.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Break</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/CharacterToken.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">CharacterToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Conditional.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Conditional</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Constant.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Constant</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/For.html" title="class in com.sk89q.worldedit.internal.expression.runtime">For</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/IdentifierToken.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">IdentifierToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/KeywordToken.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">KeywordToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/LValueFunction.html" title="class in com.sk89q.worldedit.internal.expression.runtime">LValueFunction</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/NumberToken.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">NumberToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/OperatorToken.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">OperatorToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/parser/PseudoToken.html" title="class in com.sk89q.worldedit.internal.expression.parser">PseudoToken</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Return</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Sequence</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/SimpleFor.html" title="class in com.sk89q.worldedit.internal.expression.runtime">SimpleFor</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Switch</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/lexer/tokens/Token.html" title="class in com.sk89q.worldedit.internal.expression.lexer.tokens">Token</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/parser/UnaryOperator.html" title="class in com.sk89q.worldedit.internal.expression.parser">UnaryOperator</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/parser/UnboundVariable.html" title="class in com.sk89q.worldedit.internal.expression.parser">UnboundVariable</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Variable</a>, <a href="../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime">While</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Identifiable</span></pre>
<div class="block">A common superinterface for everything passed to parser processors.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#getPosition--">getPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/internal/expression/Identifiable.html#id--">id</a></span>()</code>
<div class="block">Returns a character that helps identify the token, pseudo-token or invokable in question.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>char&nbsp;id()</pre>
<div class="block">Returns a character that helps identify the token, pseudo-token or invokable in question.

 <pre>
 Tokens:
 i - IdentifierToken
 0 - NumberToken
 o - OperatorToken
 \0 - NullToken
 CharacterTokens are returned literally

 PseudoTokens:
 p - UnaryOperator
 V - UnboundVariable

 Nodes:
 c - Constant
 v - Variable
 f - Function
 l - LValueFunction
 s - Sequence
 I - Conditional
 w - While
 F - For
 r - Return
 b - Break (includes continue)
 S - SimpleFor
 C - Switch
 </pre></div>
</li>
</ul>
<a name="getPosition--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPosition</h4>
<pre>int&nbsp;getPosition()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/internal/expression/ExpressionException.html" title="class in com.sk89q.worldedit.internal.expression"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/internal/expression/Identifiable.html" target="_top">Frames</a></li>
<li><a href="Identifiable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
